SearchProperties
POST
/v2.0/properties/search
const url = 'https://wl.api.cluster.openbrix.co.uk/v2.0/properties/search?page=0&limit=10&order=ASC&sortBy=distance';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"date":"2026-04-15T12:00:00Z","lat":"example","lon":"example","garden":1,"parking":1,"distance":1,"max_price":1,"min_price":1,"furnishing":"example","keywords":["example"],"min_bedroom":1,"max_bedroom":1,"property_for":1,"sharedOwnership":1,"retirementHomes":1,"accomodation_type":["example"],"additionalClauseForsstc":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url 'https://wl.api.cluster.openbrix.co.uk/v2.0/properties/search?page=0&limit=10&order=ASC&sortBy=distance' \ --header 'Content-Type: application/json' \ --data '{ "date": "2026-04-15T12:00:00Z", "lat": "example", "lon": "example", "garden": 1, "parking": 1, "distance": 1, "max_price": 1, "min_price": 1, "furnishing": "example", "keywords": [ "example" ], "min_bedroom": 1, "max_bedroom": 1, "property_for": 1, "sharedOwnership": 1, "retirementHomes": 1, "accomodation_type": [ "example" ], "additionalClauseForsstc": true }'Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters”page
number format: double
limit
number format: double
order
string
sortBy
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
date
string format: date-time
lat
string
lon
string
garden
number format: double
parking
number format: double
distance
number format: double
max_price
number format: double
min_price
number format: double
furnishing
string
keywords
Array<string>
min_bedroom
number format: double
max_bedroom
number format: double
property_for
number format: double
sharedOwnership
number format: double
retirementHomes
number format: double
accomodation_type
Array<string>
additionalClauseForsstc
boolean
Examplegenerated
{ "date": "2026-04-15T12:00:00Z", "lat": "example", "lon": "example", "garden": 1, "parking": 1, "distance": 1, "max_price": 1, "min_price": 1, "furnishing": "example", "keywords": [ "example" ], "min_bedroom": 1, "max_bedroom": 1, "property_for": 1, "sharedOwnership": 1, "retirementHomes": 1, "accomodation_type": [ "example" ], "additionalClauseForsstc": true}Responses
Section titled “ Responses ”Ok
Media typeapplication/json
Examplegenerated
example